import { KCEditorBanner } from '../../../elements/kano-editor-banner/kano-editor-banner.js';
import { IEvent } from '@kano/common/index.js';
import 'twemoji-min/2/twemoji.min.js';
import { BlocklyEditorBannerWidget } from '../../widget/blockly-banner.js';
export interface IBannerData {
    text: string;
    nextButton: boolean;
}
export interface IBannerButton {
    dispose(): void;
    onDidClick: IEvent<void>;
}
export declare class BannerWidget extends BlocklyEditorBannerWidget {
    private bannerEl?;
    private buttons;
    getDomNode(): HTMLElement;
    getBannerEl(): KCEditorBanner;
    setTitle(title: string): void;
    setText(text: string): void;
    setProgress(progress: number): void;
    setIconNode(node: HTMLElement | null): void;
    addButton(text: string, primary?: boolean): {
        dispose: () => void;
        onDidClick: IEvent<void>;
    };
    hide(): void;
    show(): void;
    dispose(): void;
}
